//---------------------------------------------------------------------------
#include <vcl.h>
#include <stdlib.h>
#pragma hdrstop

#include "DemoTreeView.h"
#include "demo.h"
#include "VonBis.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TTreeViewDemo *TreeViewDemo;
extern bool is_english;
//---------------------------------------------------------------------------
__fastcall TTreeViewDemo::TTreeViewDemo(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------



void __fastcall TTreeViewDemo::FormCreate(TObject *Sender)
{
    TreeView->LoadFromFile ("tvdemo.txt");
}
//---------------------------------------------------------------------------

void __fastcall TTreeViewDemo::PB_PrintAllClick(TObject *Sender)
{
   Form1->EasyPrint->Header2 = "EasyPrint TreeView Demo";
   Form1->EasyPrint->Print (TreeView);
}
//---------------------------------------------------------------------------

void __fastcall TTreeViewDemo::PB_DruckClick(TObject *Sender)
{
int von,bis;
   FVonBis->E_bis->Text = AnsiString (TreeView->Items->Count);
   FVonBis->ShowModal ();
   if (FVonBis->ModalResult == 1)
   {
      von = atoi (FVonBis->E_von->Text.c_str ());
      bis = atoi (FVonBis->E_bis->Text.c_str ());
      if (von < 0 || von >= bis-1 || bis < 0)
      {
         Application->MessageBox ("Aber Hallo!","Fehler",MB_OK);
         return;
      }
      SetOptions ();
      Form1->EasyPrint->Print (TreeView,von,bis);
   }
}
//---------------------------------------------------------------------------

void __fastcall TTreeViewDemo::SetOptions ()
{
    // Second Headline
     Form1->EasyPrint->Header2 = "EasyPrint TreeView Demo";

     Form1->EasyPrint->Options->TreeView->PrintLines = CHKLines->Checked;
     Form1->EasyPrint->Options->TreeView->PrintImages = CHKIcon->Checked;
     Form1->EasyPrint->Options->TreeView->Numbering = CHKNum->Checked;
}
void __fastcall TTreeViewDemo::FormShow(TObject *Sender)
{
   if (is_english)
   {
      CHKLines->Caption = "Print Lines";
      CHKIcon->Caption = "Print Icons";
      CHKNum->Caption = "Scientific Numbering";
      PB_PrintAll->Caption = "Print All";
      PB_Druck->Caption = "Print part";
   }
}
//---------------------------------------------------------------------------

